import { Workspaces } from 'nx/src/shared/workspace';
import { DefaultTasksRunnerOptions } from './default-tasks-runner';
import { Hasher } from 'nx/src/core/hasher/hasher';
import { Task, TaskGraph } from '../shared/tasks';
import { ProjectGraph } from 'nx/src/shared/project-graph';
export interface Batch {
    executorName: string;
    taskGraph: TaskGraph;
}
export declare class TasksSchedule {
    private readonly hasher;
    private readonly projectGraph;
    private readonly taskGraph;
    private readonly workspaces;
    private readonly options;
    private notScheduledTaskGraph;
    private reverseTaskDeps;
    private scheduledBatches;
    private scheduledTasks;
    private completedTasks;
    constructor(hasher: Hasher, projectGraph: ProjectGraph, taskGraph: TaskGraph, workspaces: Workspaces, options: DefaultTasksRunnerOptions);
    scheduleNextTasks(): Promise<void>;
    hasTasks(): boolean;
    complete(taskIds: string[]): void;
    nextTask(): Task;
    nextBatch(): Batch;
    private scheduleTask;
    private scheduleBatches;
    private scheduleBatch;
    private processTaskForBatches;
    private canBeScheduled;
    private hashTask;
}
